Bug 592345 - preupgrade-1.1.6-1.fc12 adds extra spaces to grub.conf, results in failed upgrade
preupgrade-1.1.6-1.fc12 adds extra spaces to grub.conf, results in failed upg...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 598629
  Show dependency treegraph
 
Reported: 2010-05-14 11:48 EDT by James Laska
Modified: 2013-09-02 02:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: preupgrade-1.1.8-1.fc12.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 598629 (view as bug list)
Environment:
Last Closed: 2010-11-03 10:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
preupgrade-nospaces.patch (1.72 KB, patch)
2010-05-14 11:48 EDT, James Laska
no flags Details | Diff

  None (edit)
Description James Laska 2010-05-14 11:48:03 EDT
Created attachment 414093 [details]
preupgrade-nospaces.patch

Testing https://admin.fedoraproject.org/updates/preupgrade-1.1.6-1.fc12

Everything looks good except for /etc/grub.conf prior to rebooting into the upgrade.  It appears there are extra spaces for the repo= ks= and stage2= boot arguments.  The extra spaces results in an failed upgrade.  

See attached patch.  The patch is tested and fixes the problem.
Comment 1 Richard Hughes 2010-05-14 13:27:19 EDT
Eeek. Sorry for breaking things. Fixing up the pylint warnings introduced a few overzealous changes. I've fixed them up. I'm working remote at the moment, is there any chance you could test this build please: http://people.freedesktop.org/~hughsient/fedora/13/i386/

Thanks!
Comment 2 James Laska 2010-05-14 14:06:19 EDT
Not sure if I got the right package.  I tested http://people.freedesktop.org/~hughsient/fedora/13/i386/preupgrade-1.1.6-0.13.fc13.noarch.rpm (which is older than preupgrade-1.1.6-1.fc12).

It contains the same problem with a space after the '=' in the extra_args values.

# egrep "(ks|repo|stage2)= " /usr/share/preupgrade/preupgrade-gtk.py
            extra_args += " ks= %s" % self.pu.generate_kickstart()
            extra_args += " stage2= %s" % bootdevpath
            extra_args += " stage2= " + stage2url
        # Add repo= PATH to boot commandline
        extra_args = "repo= %s %s" % (repopath, extra_args)

I can apply the small patch attached to that build and all is well.
Comment 3 James Laska 2010-05-18 20:12:28 EDT
Adding to F13Blocker.  This needs to be fixed in F12 in time for F13 release.
Comment 4 James Laska 2010-05-18 20:29:04 EDT
The release team decided that an F-12 preupgrade bug, while it needs to be resolved in time for the release, shouldn't block the F-13 release decision.  Removing blocks:F13Blocker
Comment 5 Kamil Páral 2010-05-19 04:09:37 EDT
Richard, could you please make a new build containing the James's patch? This is quite a high priority and I can test it almost immediately.
Comment 6 Richard Hughes 2010-05-19 04:52:43 EDT
Kamil, can you try the package here please; http://people.freedesktop.org/~hughsient/fedora/13/i386/

I'll do an upstream release tomorrow that includes quite a few updated and new translations as they have flooded in during the last few days.

Richard.
Comment 7 Kamil Páral 2010-05-19 05:42:31 EDT
Great, it seems that preupgrade-1.1.7-0.15.fc13.noarch.rpm fixes this issue.
Comment 8 James Laska 2010-05-19 11:41:46 EDT
(In reply to comment #7)
> Great, it seems that preupgrade-1.1.7-0.15.fc13.noarch.rpm fixes this issue.    

Same here, looking good with the provided preupgrade-1.1.7-0.15 package.
Comment 9 He Rui 2010-05-20 05:03:16 EDT
Also verified preupgrade-1.1.7-0.15 fixed this issue.
Comment 10 Kamil Páral 2010-05-21 04:22:02 EDT
Richard, could you post this version to Fedora Updates? F13 is to be released on Tuesday, we have to test it and push it to stable by then (and not just push it, it must be available for the users to download too, which takes some time).
Comment 11 Richard Hughes 2010-05-21 04:59:55 EDT
It's on the plan for this morning. :-)
Comment 12 Fedora Update System 2010-05-21 08:48:36 EDT
preupgrade-1.1.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/preupgrade-1.1.7-1.fc12
Comment 13 Fedora Update System 2010-05-24 15:38:20 EDT
preupgrade-1.1.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Chris Dotson 2010-08-15 00:24:06 EDT
I just had a problem with preupgrade which I believe is related.  I was running FC12 and ran "yum update" to get everything up to date (I assume this means I had the latest preupgrade as well but I'm not sure how to tell now).  I then ran preupgrade-cli --vnc with static IP/DNS parameters. 

There was no space before the stage2= parameter in grub.conf, causing the upgrade to fail.  Editing the file and inserting the space allowed the upgrade to proceed.  

On a related note, my default kernel was not default=0 in grub.conf, so I had to manually select the upgrade on the grub menu.  I then received a message that /boot was out of space the first time and had to clean it up and restart the install again.  Third time was the charm.  I'll see if I can find existing bugs for these other two problems.
Comment 15 He Rui 2010-09-02 04:22:13 EDT
This bug still happens when testing the newest preupgrade version of Fc13: preupgrade-1.1.6-1.fc13 downloaded at: http://koji.fedoraproject.org/koji/buildinfo?buildID=173159.

preupgrade-1.1.6-1.fc13
Comment 16 He Rui 2010-09-03 04:39:36 EDT
Tested with preupgrade-1.1.7-0.20.20100902git.fc13 by 'yum --nogpgcheck localinstall "http://koji.fedoraproject.org/koji/getfile?taskID=2442952&name=preupgrade-1.1.7-0.20.20100902git.fc13.noarch.rpm"', this problem is solved.
Comment 17 Bug Zapper 2010-11-03 10:53:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.